Katello - Bug #5801

updating the host collection limit below to already added content-host should throw a validation
error

05/19/2014 09:25 PM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Brad Buckingham

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1098418 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1098418
Description of problem:
I've created a host collection with content-host limit 10. And I've successfully added two content host in the selected collection.

Later, when | tried to reduce the limit to '1' which is less than the already added number of hosts, it was correctly updated and
notification says: Host collection updated.

But when | navigate away and come back on same page then found the system limit was still set to what it was originally i.e. 10 in
this case.

So ideally, Ul should throw a validation error if | set the limit below to already added host.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140508.1

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.7-1.el6sat.noarch
foreman-compute-1.6.0.7-1.el6sat.noarch
foreman-gce-1.6.0.7-1.el6sat.noarch
foreman-libvirt-1.6.0.7-1.el6sat.noarch
foreman-ovirt-1.6.0.7-1.el6sat.noarch
foreman-postgresql-1.6.0.7-1.el6sat.noarch
foreman-proxy-1.6.0.4-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
foreman-vmware-1.6.0.7-1.el6sat.noarch
katello-1.5.0-22.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.37-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
rubygem-hammer_cli-0.1.0-12.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-12.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-5.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-22.el6sat.noarch

How reproducible:
always

Steps to Reproduce:

1. create host collection with limit 10

2. added two content-host to create collection in step1
3. now update the collection limit to 1

Actual results:
limit was correctly updated and notification says: Host collection updated.

But when | navigate away and come back on same page then found the system limit was still set to what it was originally

Expected results:
Ul should throw validation error.

Additional info:
no errors in production.log

Associated revisions

Revision 58a5e3d3 - 05/23/2014 08:35 PM - Brad Buckingham
fixes #5801 - host collection ui - update errors should be shown on Ul
The validations were being executed; however, the errors were not
being returned to the client due to how update_attributes was

being used.

Now (for example), if a user has 3 content hosts in a collection

and they try to set the max content hosts to 2, they will get an
error back.

Revision 09825178 - 05/27/2014 11:44 AM - Brad Buckingham
Merge pull request #4154 from bbuckingham/issue-5801

fixes #5801 - host collection ui - update errors should be shown on Ul

History

#1 - 05/19/2014 09:26 PM - Brad Buckingham
- Assignee set to Brad Buckingham

- Triaged set to Yes

#2 - 05/27/2014 11:53 AM - Brad Buckingham
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:58a5e3d38e16db01a7f45f76ed364c825216f96.

#3 - 08/22/2014 08:25 AM - Eric Helms

- translation missing: en.field_release set to 13
